#include "js-gtk.h"

JSGTK_CLASS(MenuItem);

static JSBool menu_item_ctor(JSContext *cx, JSObject *obj,
			     uintN argc, jsval *argv, jsval *rval) {
  GtkWidget *menu_item;
  
  if (argc < 1 || !JSVAL_IS_STRING(argv[0]))
    return JS_FALSE;
  menu_item = gtk_menu_item_new_with_label(JS_GetStringBytes(JSVAL_TO_STRING(argv[0])));
  JS_SetPrivate(cx,obj,menu_item);
  jsgtkobj_registerWrapper(cx, GTK_OBJECT(menu_item), obj);
  return JS_TRUE;
}

static JSFunctionSpec menu_item_methods[] = {
  {0}
};

JSGTK_INIT_FUNC(menu_item,MenuItem,1);
