/* Illustrates the GtkText widget 
1999-03-17
Josh Gough <dasjsg@its.gsu.edu>
*/

window = new GtkWindow(GTK.WINDOW_TOPLEVEL);
window.set_title("GtkText Widget");
window.connect("delete_event", gtk_main_quit);
window.border_width(30);

box = new GtkVBox(false, 0);
window.add(box);

/* i dont know what these values do */
hadj = new GtkAdjustment(1.0, 1.0, 1.0, 1.0, 1.0, 1.0);
vadj = new GtkAdjustment(1.0, 1.0, 1.0, 1.0, 1.0, 1.0);
text = new GtkText(hadj, vadj);
text.set_editable(true);
text.show();

box.pack_start(text,true,true,0);

entry = new GtkEntry();
entry.show();
box.pack_start(entry,true,true,0);
butt_insert = new GtkButton("insert text");
// using null object because I have the C function check for objects, should check for obj or NULL
butt_insert.connect("clicked", function () { text.insert_text({}, {}, {}, entry.get_text())});
butt_insert.show();
box.pack_start(butt_insert,true,true,0);

wrap_butts_box = new GtkHBox(false,0);
wrap_butts_box.show();
box.pack_start(wrap_butts_box,true,true,0);

butt_word_wrap = new GtkButton("word wrap?");
butt_word_wrap.connect("clicked", function () { text.set_word_wrap(parseInt(entry.get_text())) });
butt_word_wrap.show();
wrap_butts_box.pack_start(butt_word_wrap,true,true,0);

butt_line_wrap = new GtkButton("line wrap?");
butt_line_wrap.show();
wrap_butts_box.pack_start(butt_line_wrap,true,true,0);

point_butts_box = new GtkHBox(false,0);
point_butts_box.show();
box.pack_start(point_butts_box,true,true,0);
butt_get_point = new GtkButton("get point");
butt_get_point.connect("clicked", function () { print(text.get_point()) });
butt_get_point.show();
point_butts_box.pack_start(butt_get_point,true,true,0);

butt_get_length = new GtkButton("get length");
butt_get_length.connect("clicked", function () { print(text.get_length()) });
butt_get_length.show();
point_butts_box.pack_start(butt_get_length,true,true,0);

butt_select_region = new GtkButton("select region");
butt_select_region.connect("clicked", function() {
  var ar = entry.get_text().split(',');
  text.select_region(parseInt(ar[0]), parseInt(ar[1]))
 });
butt_select_region.show();
box.pack_start(butt_select_region,true,true,0);
box.show();
window.show();
print(entry.__proto__.__proto__);
print(text.__proto__.__proto__);
//print(GtkEntry.prototype);
gtk_main();
// functions

